DH_CONSOLEDATA(1)

NAME
dh_consoledata - declare console data files

SYNOPSIS
  dh_consoledata [debhelper options] [-n]

DESCRIPTION
This program is meant to assist in building a package that provides data files for the console. It is still in the early stages of development, and many features are still missing or partly implemented. Please look at /usr/share/doc/console-common/TODO for more details.

For now this program takes a debian/package.keymaps file, installs in in the package build directory, and creates the debian/package.config and debian/package.templates files.

It also makes the ${console:depends} variable available for the control file. This variable should be referenced in the Depends field, as should ${perl:depends} if you use dh_perl (which you should call anyway, since your package will include a perl debconf script).

It should ultimately allow one to declare fonts and SFM fallbacks.

OPTIONS

-n, --noscripts
    Do not modify postinst/postrm scripts.

-d  Install the debconf templates and config script (and add the postinst fragment, unless -n is also specified), even if there is no debian/package.keymaps file. This is normally intended for internal use, be careful that the name of the option and its semantics will probably change in the near future, to accommodate for new needs.

SEE ALSO
debhelper(1)

This program is an extension to debhelper.

AUTHOR
Yann Dirson <dirson@debian.org>